Skip to main content
Create a new Product Collection for a specific account
POST https://services.leadconnectorhq.com/products/collections

Autorización

Authorization
string
required
Bearer token generado desde el portal Leadway. Ver Autenticación.
Version
string
default:"2021-07-28"
required
Versión de la API.

Body

altId
string
default:"6578278e879ad2646715ba9c"
required
Account Id
altType
string
default:"LOCATION"
required
The type of alt. For now it is only LOCATION Posibles valores: ‘account’
collectionId
string
default:"66057f9d28536eae584ec047"
Unique Identifier of the Product Collection, Mongo Id
name
string
default:"Best Sellers"
required
Name of the Product Collection
slug
string
default:"best-sellers"
required
Slug of the Product Collection which helps in navigation
image
string
default:"http://example.com/watermark.png"
The URL of the image that is going to be displayed as the collection Thumbnail
seo
object
The metadata information which will be displayed in SEO previews

Respuestas

data
object
required
created Collection
{}
{}
{}
{}

Ejemplo

curl -X POST 'https://services.leadconnectorhq.com/products/collections' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Version: 2021-07-28' \
  -H 'Content-Type: application/json' \
  -d '{
  "altId": "6578278e879ad2646715ba9c",
  "altType": "LOCATION",
  "collectionId": "66057f9d28536eae584ec047",
  "name": "Best Sellers",
  "slug": "best-sellers",
  "image": "http://example.com/watermark.png"
}'
const response = await fetch('https://services.leadconnectorhq.com/products/collections', {
  method: 'POST',
  headers: {
    Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
    Version: '2021-07-28',
    'Content-Type': 'application/json',
  },
  body: JSON.stringify({"altId": "6578278e879ad2646715ba9c", "altType": "LOCATION", "collectionId": "66057f9d28536eae584ec047", "name": "Best Sellers", "slug": "best-sellers", "image": "http://example.com/watermark.png"}),
});
const data = await response.json();
import os, requests
response = requests.request(
    'POST',
    'https://services.leadconnectorhq.com/products/collections',
    headers={
        'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
        'Version': '2021-07-28',
        'Content-Type': 'application/json',
    },
    json={"altId": "6578278e879ad2646715ba9c", "altType": "LOCATION", "collectionId": "66057f9d28536eae584ec047", "name": "Best Sellers", "slug": "best-sellers", "image": "http://example.com/watermark.png"},
)
data = response.json()
<?php
$ch = curl_init('https://services.leadconnectorhq.com/products/collections');
curl_setopt_array($ch, [
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_HTTPHEADER => [
        'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
        'Version: 2021-07-28',
        'Content-Type: application/json',
    ],
    CURLOPT_POSTFIELDS => json_encode({'altId': '6578278e879ad2646715ba9c', 'altType': 'LOCATION', 'collectionId': '66057f9d28536eae584ec047', 'name': 'Best Sellers', 'slug': 'best-sellers', 'image': 'http://example.com/watermark.png'}),
]);
$data = json_decode(curl_exec($ch), true);